Manifest-Version: 1.0
Bnd-LastModified: 1724381227338
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Document Library Service
Bundle-SymbolicName: com.liferay.document.library.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.65.hotfix-5795-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.asset.auto.tagger.text.extractor;version="1.0",com.liferay.asset.d
 isplay.page.model;version="4.0",com.liferay.asset.display.page.servic
 e;version="2.7",com.liferay.asset.kernel;version="2.0",com.liferay.as
 set.kernel.model;version="9.0",com.liferay.asset.kernel.service;versi
 on="7.3",com.liferay.asset.kernel.validator;version="2.0",com.liferay
 .asset.util;version="3.0",com.liferay.bulk.selection;version="2.0",co
 m.liferay.change.tracking.spi.reference;version="1.0",com.liferay.cha
 nge.tracking.spi.reference.builder;version="1.0",com.liferay.change.t
 racking.spi.resolver;version="1.0",com.liferay.change.tracking.spi.re
 solver.context;version="1.0",com.liferay.change.tracking.store.model;
 version="2.0",com.liferay.changeset.service;version="1.6",com.liferay
 .comment.upgrade;version="2.0",com.liferay.counter.kernel.service;ver
 sion="2.1",com.liferay.data.engine.service;version="1.9",com.liferay.
 depot.model;version="3.0",com.liferay.depot.service;version="1.9",com
 .liferay.document.library.bulk.selection;version="1.0",com.liferay.do
 cument.library.configuration;version="4.0",com.liferay.document.libra
 ry.content.model;version="3.0",com.liferay.document.library.display.c
 ontext;version="7.1",com.liferay.document.library.exception;version="
 1.1",com.liferay.document.library.exportimport.data.handler;version="
 1.1",com.liferay.document.library.kernel.exception;version="3.5",com.
 liferay.document.library.kernel.model;version="7.0",com.liferay.docum
 ent.library.kernel.service;version="7.2",com.liferay.document.library
 .kernel.service.persistence;version="5.1",com.liferay.document.librar
 y.kernel.store;version="3.1",com.liferay.document.library.kernel.util
 ;version="7.1",com.liferay.document.library.kernel.util.comparator;ve
 rsion="3.0",com.liferay.document.library.kernel.versioning;version="1
 .0",com.liferay.document.library.model;version="3.0",com.liferay.docu
 ment.library.security.io;version="1.0",com.liferay.document.library.s
 ervice;version="2.6",com.liferay.document.library.service.persistence
 ;version="2.2",com.liferay.document.library.sync.model;version="3.0",
 com.liferay.document.library.sync.service;version="1.4",com.liferay.d
 ocument.library.url.provider;version="1.0",com.liferay.document.libra
 ry.util;version="1.1",com.liferay.document.library.versioning;version
 ="1.0",com.liferay.dynamic.data.lists.service;version="2.5",com.lifer
 ay.dynamic.data.mapping.io;version="2.2",com.liferay.dynamic.data.map
 ping.kernel;version="3.0",com.liferay.dynamic.data.mapping.model;vers
 ion="6.1",com.liferay.dynamic.data.mapping.service;version="3.12",com
 .liferay.dynamic.data.mapping.storage;version="1.9",com.liferay.dynam
 ic.data.mapping.util;version="5.0",com.liferay.expando.kernel.model;v
 ersion="5.0",com.liferay.expando.kernel.util;version="4.0",com.lifera
 y.exportimport.content.processor;version="1.0",com.liferay.exportimpo
 rt.data.handler.base;version="1.0",com.liferay.exportimport.kernel.la
 r;version="4.3",com.liferay.exportimport.kernel.staging;version="2.2"
 ,com.liferay.exportimport.kernel.staging.permission;version="1.0",com
 .liferay.exportimport.kernel.xstream;version="2.0",com.liferay.export
 import.portlet.data.handler.util;version="1.0",com.liferay.exportimpo
 rt.staged.model.repository;version="1.1",com.liferay.friendly.url.mod
 el;version="3.0",com.liferay.friendly.url.service;version="1.6",com.l
 iferay.osgi.service.tracker.collections.list;version="2.0",com.lifera
 y.osgi.service.tracker.collections.map;version="2.2",com.liferay.petr
 a.function;version="1.5",com.liferay.petra.lang;version="1.3",com.lif
 eray.petra.reflect;version="1.5",com.liferay.petra.sql.dsl;version="1
 .1",com.liferay.petra.sql.dsl.expression;version="1.4",com.liferay.pe
 tra.sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.spi.express
 ion;version="1.3",com.liferay.petra.string;version="1.7",com.liferay.
 portal.aop;version="1.0",com.liferay.portal.change.tracking.store,com
 .liferay.portal.configuration.metatype.annotations;version="1.5",com.
 liferay.portal.configuration.metatype.bnd.util;version="2.0",com.life
 ray.portal.configuration.persistence.listener;version="1.1",com.lifer
 ay.portal.configuration.upgrade;version="2.0",com.liferay.portal.conv
 ert.documentlibrary,com.liferay.portal.instance.lifecycle;version="2.
 1",com.liferay.portal.json.jabsorb.serializer,com.liferay.portal.kern
 el.bean;version="10.0",com.liferay.portal.kernel.cache;version="13.0"
 ,com.liferay.portal.kernel.change.tracking;version="2.2",com.liferay.
 portal.kernel.comment;version="4.0",com.liferay.portal.kernel.configu
 ration;version="7.0",com.liferay.portal.kernel.dao.db;version="10.1",
 com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.k
 ernel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;vers
 ion="12.3",com.liferay.portal.kernel.increment;version="7.1",com.life
 ray.portal.kernel.io.unsync;version="8.0",com.liferay.portal.kernel.l
 anguage;version="11.0",com.liferay.portal.kernel.lock;version="8.0",c
 om.liferay.portal.kernel.log;version="7.1",com.liferay.portal.kernel.
 messaging;version="11.1",com.liferay.portal.kernel.metadata;version="
 9.0",com.liferay.portal.kernel.model;version="24.0",com.liferay.porta
 l.kernel.model.change.tracking;version="3.0",com.liferay.portal.kerne
 l.model.impl;version="7.0",com.liferay.portal.kernel.module.framework
 ;version="1.4",com.liferay.portal.kernel.module.framework.service;ver
 sion="1.0",com.liferay.portal.kernel.portlet;version="20.0",com.lifer
 ay.portal.kernel.portlet.url.builder;version="1.1",com.liferay.portal
 .kernel.repository;version="12.1",com.liferay.portal.kernel.repositor
 y.capabilities;version="2.0",com.liferay.portal.kernel.repository.eve
 nt;version="1.1",com.liferay.portal.kernel.repository.friendly.url.re
 solver;version="1.0",com.liferay.portal.kernel.repository.model;versi
 on="11.1",com.liferay.portal.kernel.repository.proxy;version="6.2",co
 m.liferay.portal.kernel.repository.registry;version="1.1",com.liferay
 .portal.kernel.search;version="17.0",com.liferay.portal.kernel.search
 .filter;version="1.0",com.liferay.portal.kernel.search.generic;versio
 n="3.0",com.liferay.portal.kernel.search.result;version="1.0",com.lif
 eray.portal.kernel.security.auth;version="5.1",com.liferay.portal.ker
 nel.security.permission;version="6.2",com.liferay.portal.kernel.secur
 ity.permission.resource;version="2.1",com.liferay.portal.kernel.servi
 ce;version="17.0",com.liferay.portal.kernel.service.change.tracking;v
 ersion="1.0",com.liferay.portal.kernel.service.persistence;version="1
 6.0",com.liferay.portal.kernel.service.persistence.change.tracking;ve
 rsion="1.4",com.liferay.portal.kernel.service.persistence.change.trac
 king.helper;version="1.1",com.liferay.portal.kernel.service.persisten
 ce.impl;version="4.1",com.liferay.portal.kernel.settings;version="3.2
 ",com.liferay.portal.kernel.settings.definition;version="1.0",com.lif
 eray.portal.kernel.systemevent;version="6.2",com.liferay.portal.kerne
 l.theme;version="10.1",com.liferay.portal.kernel.transaction;version=
 "8.1",com.liferay.portal.kernel.trash;version="12.0",com.liferay.port
 al.kernel.upgrade;version="18.1",com.liferay.portal.kernel.upload;ver
 sion="9.0",com.liferay.portal.kernel.util;version="45.0",com.liferay.
 portal.kernel.workflow;version="17.2",com.liferay.portal.kernel.workf
 low.permission;version="7.0",com.liferay.portal.kernel.xml;version="7
 .0",com.liferay.portal.language,com.liferay.portal.model.impl,com.lif
 eray.portal.repository.capabilities,com.liferay.portal.repository.cap
 abilities.util,com.liferay.portal.repository.liferayrepository,com.li
 feray.portal.repository.liferayrepository.model,com.liferay.portal.re
 pository.portletrepository,com.liferay.portal.repository.temporaryrep
 ository,com.liferay.portal.repository.util,com.liferay.portal.search.
 batch;version="2.0",com.liferay.portal.search.index;version="4.0",com
 .liferay.portal.search.indexer;version="1.0",com.liferay.portal.searc
 h.query;version="1.7",com.liferay.portal.search.spi.model.index.contr
 ibutor;version="1.1",com.liferay.portal.search.spi.model.index.contri
 butor.helper;version="1.0",com.liferay.portal.search.spi.model.query.
 contributor;version="1.1",com.liferay.portal.search.spi.model.query.c
 ontributor.helper;version="1.1",com.liferay.portal.search.spi.model.r
 egistrar;version="2.0",com.liferay.portal.search.spi.model.registrar.
 contributor;version="1.0",com.liferay.portal.search.spi.model.result.
 contributor;version="1.1",com.liferay.portal.upgrade.registry;version
 ="5.0",com.liferay.portal.upgrade.v7_3_x,com.liferay.portal.util;vers
 ion="36.0",com.liferay.portal.verify,com.liferay.portlet.documentlibr
 ary;version="1.1",com.liferay.portlet.documentlibrary.lar;version="2.
 0",com.liferay.portlet.documentlibrary.model.impl,com.liferay.portlet
 .documentlibrary.store;version="4.0",com.liferay.portlet.documentlibr
 ary.util;version="7.0",com.liferay.portlet.documentlibrary.webdav,com
 .liferay.sharing.security.permission.resource;version="1.0",com.lifer
 ay.staging.model.listener;version="1.0",com.liferay.subscription.mode
 l;version="3.0",com.liferay.subscription.service;version="1.7",com.li
 feray.trash;version="2.1",com.liferay.trash.kernel.exception;version=
 "1.1",com.liferay.trash.kernel.model;version="5.0",com.liferay.trash.
 model;version="4.0",com.liferay.trash.service;version="2.5",com.lifer
 ay.view.count.service;version="1.5",com.liferay.xstream.configurator;
 version="1.2",javax.portlet,javax.sql,org.apache.commons.lang;version
 ="2.6",org.osgi.framework;version="1.8",org.osgi.service.cm;version="
 1.6",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Document Library
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.2.4
Liferay-Service: true
Private-Package: com.liferay.document.library.events.dependencies,com.
 liferay.document.library.internal.asset.auto.tagger.text.extractor,co
 m.liferay.document.library.internal.asset.categories.validator,com.li
 feray.document.library.internal.bulk.selection,com.liferay.document.l
 ibrary.internal.bulk.selection.action,com.liferay.document.library.in
 ternal.bulk.selection.util,com.liferay.document.library.internal.chan
 ge.tracking.spi.reference,com.liferay.document.library.internal.chang
 e.tracking.spi.resolver,com.liferay.document.library.internal.configu
 ration,com.liferay.document.library.internal.configuration.admin.serv
 ice,com.liferay.document.library.internal.configuration.persistence.l
 istener,com.liferay.document.library.internal.constants,com.liferay.d
 ocument.library.internal.convert.document.library,com.liferay.documen
 t.library.internal.display.context,com.liferay.document.library.inter
 nal.dynamic.data.mapping.util,com.liferay.document.library.internal.e
 xpando.util,com.liferay.document.library.internal.exportimport.data.h
 andler,com.liferay.document.library.internal.exportimport.staged.mode
 l.repository,com.liferay.document.library.internal.friendly.url.resol
 ver,com.liferay.document.library.internal.helper,com.liferay.document
 .library.internal.instance.lifecycle,com.liferay.document.library.int
 ernal.lar.xstream,com.liferay.document.library.internal.lar.xstream.c
 onstants,com.liferay.document.library.internal.lock,com.liferay.docum
 ent.library.internal.model.listener,com.liferay.document.library.inte
 rnal.osgi.commands,com.liferay.document.library.internal.repository.c
 apabilities,com.liferay.document.library.internal.repository.event,co
 m.liferay.document.library.internal.search,com.liferay.document.libra
 ry.internal.search.spi.model.index.contributor,com.liferay.document.l
 ibrary.internal.search.spi.model.query.contributor,com.liferay.docume
 nt.library.internal.search.spi.model.result.contributor,com.liferay.d
 ocument.library.internal.security.io,com.liferay.document.library.int
 ernal.security.permission,com.liferay.document.library.internal.secur
 ity.permission.resource,com.liferay.document.library.internal.service
 ,com.liferay.document.library.internal.settings.definition,com.lifera
 y.document.library.internal.trash,com.liferay.document.library.intern
 al.upgrade.registry,com.liferay.document.library.internal.upgrade.v1_
 0_0,com.liferay.document.library.internal.upgrade.v1_0_1,com.liferay.
 document.library.internal.upgrade.v1_0_2,com.liferay.document.library
 .internal.upgrade.v1_1_0,com.liferay.document.library.internal.upgrad
 e.v1_1_0.dependencies,com.liferay.document.library.internal.upgrade.v
 1_1_2,com.liferay.document.library.internal.upgrade.v2_0_0,com.lifera
 y.document.library.internal.upgrade.v3_2_0,com.liferay.document.libra
 ry.internal.upgrade.v3_2_0.dependencies,com.liferay.document.library.
 internal.upgrade.v3_2_1,com.liferay.document.library.internal.upgrade
 .v3_2_2,com.liferay.document.library.internal.upgrade.v3_2_4,com.life
 ray.document.library.internal.util,com.liferay.document.library.inter
 nal.verify,com.liferay.document.library.internal.versioning,com.lifer
 ay.document.library.internal.workflow,com.liferay.document.library.in
 ternal.xstream.configurator,com.liferay.document.library.model.impl,c
 om.liferay.document.library.service.base,com.liferay.document.library
 .service.impl,com.liferay.document.library.service.persistence.impl,c
 om.liferay.document.library.service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.asset.kernel.validator.AssetEntryValidatorExclusionRul
 e";uses:="com.liferay.asset.kernel.validator",osgi.service;objectClas
 s:List<String>="com.liferay.bulk.selection.BulkSelectionAction,com.li
 feray.document.library.bulk.selection.EditCategoriesBulkSelectionActi
 on,com.liferay.document.library.internal.bulk.selection.action.EditCa
 tegoriesBulkSelectionActionImpl";uses:="com.liferay.bulk.selection,co
 m.liferay.document.library.bulk.selection,com.liferay.document.librar
 y.internal.bulk.selection.action",osgi.service;objectClass:List<Strin
 g>="com.liferay.bulk.selection.BulkSelectionAction,com.liferay.docume
 nt.library.bulk.selection.EditTagsBulkSelectionAction,com.liferay.doc
 ument.library.internal.bulk.selection.action.EditTagsBulkSelectionAct
 ionImpl";uses:="com.liferay.bulk.selection,com.liferay.document.libra
 ry.bulk.selection,com.liferay.document.library.internal.bulk.selectio
 n.action",osgi.service;objectClass:List<String>="com.liferay.bulk.sel
 ection.BulkSelectionFactory,com.liferay.document.library.internal.bul
 k.selection.FileEntryBulkSelectionFactory";uses:="com.liferay.bulk.se
 lection,com.liferay.document.library.internal.bulk.selection",osgi.se
 rvice;objectClass:List<String>="com.liferay.bulk.selection.BulkSelect
 ionFactory,com.liferay.document.library.internal.bulk.selection.FileS
 hortcutBulkSelectionFactory";uses:="com.liferay.bulk.selection,com.li
 feray.document.library.internal.bulk.selection",osgi.service;objectCl
 ass:List<String>="com.liferay.bulk.selection.BulkSelectionFactory,com
 .liferay.document.library.internal.bulk.selection.FolderBulkSelection
 Factory";uses:="com.liferay.bulk.selection,com.liferay.document.libra
 ry.internal.bulk.selection",osgi.service;objectClass:List<String>="co
 m.liferay.bulk.selection.BulkSelectionFactory,com.liferay.document.li
 brary.internal.bulk.selection.RepositoryModelBulkSelectionFactory";us
 es:="com.liferay.bulk.selection,com.liferay.document.library.internal
 .bulk.selection",osgi.service;objectClass:List<String>="com.liferay.c
 hange.tracking.spi.reference.TableReferenceDefinition";uses:="com.lif
 eray.change.tracking.spi.reference",osgi.service;objectClass:List<Str
 ing>="com.liferay.change.tracking.spi.resolver.ConstraintResolver";us
 es:="com.liferay.change.tracking.spi.resolver",osgi.service;objectCla
 ss:List<String>="com.liferay.document.library.configuration.DLSizeLim
 itConfigurationProvider";uses:="com.liferay.document.library.configur
 ation",osgi.service;objectClass:List<String>="com.liferay.document.li
 brary.display.context.DLMimeTypeDisplayContext";uses:="com.liferay.do
 cument.library.display.context",osgi.service;objectClass:List<String>
 ="com.liferay.document.library.exportimport.data.handler.DLPluggableC
 ontentDataHandler";uses:="com.liferay.document.library.exportimport.d
 ata.handler",osgi.service;objectClass:List<String>="com.liferay.docum
 ent.library.internal.configuration.admin.service.DLSizeLimitManagedSe
 rviceFactory,org.osgi.service.cm.ManagedServiceFactory";uses:="com.li
 feray.document.library.internal.configuration.admin.service,org.osgi.
 service.cm",osgi.service;objectClass:List<String>="com.liferay.docume
 nt.library.internal.dynamic.data.mapping.util.DLFileEntryMetadataDDMS
 tructurePermissionSupport,com.liferay.dynamic.data.mapping.util.DDMSt
 ructurePermissionSupport";uses:="com.liferay.document.library.interna
 l.dynamic.data.mapping.util,com.liferay.dynamic.data.mapping.util",os
 gi.service;objectClass:List<String>="com.liferay.document.library.int
 ernal.dynamic.data.mapping.util.DLFileEntryMetadataDDMTemplatePermiss
 ionSupport,com.liferay.dynamic.data.mapping.util.DDMTemplatePermissio
 nSupport";uses:="com.liferay.document.library.internal.dynamic.data.m
 apping.util,com.liferay.dynamic.data.mapping.util",osgi.service;objec
 tClass:List<String>="com.liferay.document.library.internal.helper.DLE
 xportableRepositoryPublisherHelper";uses:="com.liferay.document.libra
 ry.internal.helper",osgi.service;objectClass:List<String>="com.lifera
 y.document.library.internal.osgi.commands.DLStorageQuotaOSGiCommands"
 ;uses:="com.liferay.document.library.internal.osgi.commands",osgi.ser
 vice;objectClass:List<String>="com.liferay.document.library.kernel.ut
 il.DLProcessorRegistry";uses:="com.liferay.document.library.kernel.ut
 il",osgi.service;objectClass:List<String>="com.liferay.document.libra
 ry.kernel.util.DLValidator";uses:="com.liferay.document.library.kerne
 l.util",osgi.service;objectClass:List<String>="com.liferay.document.l
 ibrary.kernel.versioning.VersioningStrategy";uses:="com.liferay.docum
 ent.library.kernel.versioning",osgi.service;objectClass:List<String>=
 "com.liferay.document.library.security.io.InputStreamSanitizer";uses:
 ="com.liferay.document.library.security.io",osgi.service;objectClass:
 List<String>="com.liferay.document.library.service.persistence.DLFile
 VersionPreviewPersistence,com.liferay.portal.kernel.service.persisten
 ce.BasePersistence";uses:="com.liferay.document.library.service.persi
 stence,com.liferay.portal.kernel.service.persistence",osgi.service;ob
 jectClass:List<String>="com.liferay.document.library.service.persiste
 nce.DLStorageQuotaPersistence,com.liferay.portal.kernel.service.persi
 stence.BasePersistence";uses:="com.liferay.document.library.service.p
 ersistence,com.liferay.portal.kernel.service.persistence",osgi.servic
 e;objectClass:List<String>="com.liferay.document.library.util.DLAsset
 Helper";uses:="com.liferay.document.library.util",osgi.service;object
 Class:List<String>="com.liferay.document.library.util.DLURLHelper";us
 es:="com.liferay.document.library.util",osgi.service;objectClass:List
 <String>="com.liferay.document.library.versioning.VersionPurger";uses
 :="com.liferay.document.library.versioning",osgi.service;objectClass:
 List<String>="com.liferay.document.library.versioning.VersioningPolic
 y";uses:="com.liferay.document.library.versioning",osgi.service;objec
 tClass:List<String>="com.liferay.dynamic.data.mapping.util.DDMStructu
 rePermissionSupport";uses:="com.liferay.dynamic.data.mapping.util",os
 gi.service;objectClass:List<String>="com.liferay.expando.kernel.util.
 ExpandoValueDeleteHandler";uses:="com.liferay.expando.kernel.util",os
 gi.service;objectClass:List<String>="com.liferay.exportimport.kernel.
 lar.StagedModelDataHandler";uses:="com.liferay.exportimport.kernel.la
 r",osgi.service;objectClass:List<String>="com.liferay.exportimport.st
 aged.model.repository.StagedModelRepository";uses:="com.liferay.expor
 timport.staged.model.repository",osgi.service;objectClass:List<String
 >="com.liferay.portal.aop.AopService";uses:="com.liferay.portal.aop",
 osgi.service;objectClass:List<String>="com.liferay.portal.configurati
 on.persistence.listener.ConfigurationModelListener";uses:="com.lifera
 y.portal.configuration.persistence.listener",osgi.service;objectClass
 :List<String>="com.liferay.portal.convert.documentlibrary.DLStoreConv
 ertProcess";uses:="com.liferay.portal.convert.documentlibrary",osgi.s
 ervice;objectClass:List<String>="com.liferay.portal.instance.lifecycl
 e.PortalInstanceLifecycleListener";uses:="com.liferay.portal.instance
 .lifecycle",osgi.service;objectClass:List<String>="com.liferay.portal
 .kernel.cache.CacheRegistryItem,com.liferay.portal.kernel.repository.
 capabilities.PortalCapabilityLocator";uses:="com.liferay.portal.kerne
 l.cache,com.liferay.portal.kernel.repository.capabilities",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.kernel.dao.orm.Argume
 ntsResolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.lock.LockListener"
 ;uses:="com.liferay.portal.kernel.lock",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.model.ModelListener";uses:="com.l
 iferay.portal.kernel.model",osgi.service;objectClass:List<String>="co
 m.liferay.portal.kernel.repository.capabilities.Capability";uses:="co
 m.liferay.portal.kernel.repository.capabilities",osgi.service;objectC
 lass:List<String>="com.liferay.portal.kernel.repository.event.FileVer
 sionPreviewEventListener";uses:="com.liferay.portal.kernel.repository
 .event",osgi.service;objectClass:List<String>="com.liferay.portal.ker
 nel.repository.friendly.url.resolver.FileEntryFriendlyURLResolver";us
 es:="com.liferay.portal.kernel.repository.friendly.url.resolver",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.search.D
 DMStructureIndexer";uses:="com.liferay.portal.kernel.search",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.kernel.search.OpenS
 earch";uses:="com.liferay.portal.kernel.search",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.kernel.search.RelatedEntryIndexe
 r";uses:="com.liferay.portal.kernel.search",osgi.service;objectClass:
 List<String>="com.liferay.portal.kernel.search.result.SearchResultCon
 tributor";uses:="com.liferay.portal.kernel.search.result",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.security.permis
 sion.PermissionUpdateHandler";uses:="com.liferay.portal.kernel.securi
 ty.permission",osgi.service;objectClass:List<String>="com.liferay.por
 tal.kernel.security.permission.resource.ModelResourcePermission";uses
 :="com.liferay.portal.kernel.security.permission.resource",osgi.servi
 ce;objectClass:List<String>="com.liferay.portal.kernel.security.permi
 ssion.resource.PortletResourcePermission";uses:="com.liferay.portal.k
 ernel.security.permission.resource",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.kernel.service.ServiceWrapper";uses:="com.li
 feray.portal.kernel.service",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.settings.definition.ConfigurationBeanDeclara
 tion";uses:="com.liferay.portal.kernel.settings.definition",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.trash.TrashHa
 ndler";uses:="com.liferay.portal.kernel.trash",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.workflow.WorkflowHandler";
 uses:="com.liferay.portal.kernel.workflow",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.search.spi.model.index.contributor.Ex
 pandoBridgeRetriever";uses:="com.liferay.portal.search.spi.model.inde
 x.contributor",osgi.service;objectClass:List<String>="com.liferay.por
 tal.search.spi.model.index.contributor.ModelDocumentContributor";uses
 :="com.liferay.portal.search.spi.model.index.contributor",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.search.spi.model.index
 .contributor.ModelIndexerWriterContributor";uses:="com.liferay.portal
 .search.spi.model.index.contributor",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.search.spi.model.query.contributor.KeywordQ
 ueryContributor";uses:="com.liferay.portal.search.spi.model.query.con
 tributor",osgi.service;objectClass:List<String>="com.liferay.portal.s
 earch.spi.model.query.contributor.ModelPreFilterContributor";uses:="c
 om.liferay.portal.search.spi.model.query.contributor",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.search.spi.model.query.con
 tributor.SearchContextContributor";uses:="com.liferay.portal.search.s
 pi.model.query.contributor",osgi.service;objectClass:List<String>="co
 m.liferay.portal.search.spi.model.result.contributor.ModelSummaryCont
 ributor";uses:="com.liferay.portal.search.spi.model.result.contributo
 r",osgi.service;objectClass:List<String>="com.liferay.portal.search.s
 pi.model.result.contributor.ModelVisibilityContributor";uses:="com.li
 feray.portal.search.spi.model.result.contributor",osgi.service;object
 Class:List<String>="com.liferay.portal.upgrade.registry.UpgradeStepRe
 gistrator";uses:="com.liferay.portal.upgrade.registry",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.verify.VerifyProcess";use
 s:="com.liferay.portal.verify",osgi.service;objectClass:List<String>=
 "com.liferay.xstream.configurator.XStreamConfigurator";uses:="com.lif
 eray.xstream.configurator",osgi.service;objectClass:List<String>="com
 .liferay.document.library.service.DLFileVersionPreviewLocalService",o
 sgi.service;objectClass:List<String>="com.liferay.document.library.se
 rvice.DLStorageQuotaLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.service.AssetDisplayPageEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.
 service.AssetEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.asset.util.AssetHelper)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.bulk.selection.Bulk
 SelectionFactory)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.changeset.service.ChangesetCollectionLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.change
 set.service.ChangesetEntryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.counter.kernel.service.CounterLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.data.engine.service.DEDataDefinitionFieldLinkLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.depo
 t.service.DepotEntryLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.document.library.configuration.DLConfi
 guration)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.document.library.internal.configuration.admin.service.DLSizeLi
 mitManagedServiceFactory)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.document.library.internal.helper.DLExportableR
 epositoryPublisherHelper)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.document.library.kernel.service.DLAppHelperLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLAppLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.document.libr
 ary.kernel.service.DLAppService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.document.library.kernel.service.DLFileE
 ntryLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.DLFileEntryMetadataLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.service.DLFileEntryService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.document.lib
 rary.kernel.service.DLFileEntryTypeLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.document.library.kernel
 .service.DLFileShortcutLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.document.library.kernel.service.DLF
 ileVersionLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.document.library.kernel.service.DLFolderLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.kernel.service.DLFolderService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.document.library.ker
 nel.service.DLTrashLocalService)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.document.library.kernel.service.DLTrash
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.document.library.kernel.service.persistence.DLFileEntryMetadata
 Persistence)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.document.library.kernel.service.persistence.DLFileEntryPers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.document.library.kernel.service.persistence.DLFileEntryTypePers
 istence)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.document.library.kernel.service.persistence.DLFileShortcutPersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.document.library.kernel.service.persistence.DLFileVersionPersist
 ence)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.kernel.service.persistence.DLFolderPersistence)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.docu
 ment.library.kernel.store.Store)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.document.library.kernel.util.DLProcesso
 rRegistry)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.document.library.kernel.util.DLValidator)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.document.library.secur
 ity.io.InputStreamSanitizer)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.document.library.service.DLFileVersionPrevi
 ewLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.document.library.service.DLStorageQuotaLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.service.persistence.DLFileVersionPreviewPersistence)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.document
 .library.service.persistence.DLStorageQuotaPersistence)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.document.library
 .sync.service.DLSyncEventLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.document.library.util.DLAssetHelp
 er)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .document.library.util.DLURLHelper)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.document.library.versioning.VersionP
 urger)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.dynamic.data.lists.service.DDLRecordSetLocalService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.ma
 pping.io.DDMFormSerializer)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.dynamic.data.mapping.io.DDMFormValuesDeseria
 lizer)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.dynamic.data.mapping.io.DDMFormValuesSerializer)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.kernel.DDMStructureManager)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.dynamic.data.mapping.kernel.StorageEngineM
 anager)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.dynamic.data.mapping.service.DDMStructureLayoutLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.dynami
 c.data.mapping.service.DDMStructureLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.se
 rvice.DDMStructureVersionLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.storage.Stor
 ageEngine)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.dynamic.data.mapping.util.DDM)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMInde
 xer)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.dynamic.data.mapping.util.DefaultDDMStructureHelper)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.expando.kernel.ut
 il.ExpandoBridgeFactory)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.exportimport.content.processor.ExportImportCont
 entProcessor)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.exportimport.kernel.staging.Staging)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.exportimport.kernel.stag
 ing.permission.StagingPermission)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.friendly.url.service.FriendlyURLEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.change.tracking.store.CTStoreFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.configurat
 ion.upgrade.PrefsPropsToConfigurationUpgradeHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.json.jabsorb.
 serializer.LiferayJSONDeserializationWhitelist)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.cache.Sing
 leVMPool)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.configuration.Configuration)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.
 EntityCache)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.dao.orm.FinderCache)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.dao.orm.Sessi
 onFactory)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.language.Language)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.messaging.Message
 Bus)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.model.Release)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.module.framework.ModuleServ
 iceLifecycle)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.repository.RepositoryProvider)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 arch.IndexerRegistry)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.search.RelatedEntryIndexer)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.search.RelatedEntryIndexerRegistry)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.kernel.search.SummaryFacto
 ry)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.kernel.security.permission.resource.ModelResourcePermission)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.security.permission.resource.PortletResourcePermission)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.kernel.service.ClassNameLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.GroupLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.I
 mageLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.service.RepositoryEntryLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.service.RepositoryLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.service.ResourceLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.UserLocalService)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.W
 orkflowDefinitionLinkLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.service.persistence.Rep
 ositoryEntryPersistence)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.persistence.RepositoryPer
 sistence)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.persistence.change.tracking.helper.CTPer
 sistenceHelper)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.trash.TrashRendererFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.upl
 oad.UploadServletRequestConfigurationHelper)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Friendly
 URLNormalizer)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.util.Localization)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.util.Portal)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.workflow.permission.WorkflowPermission)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.search.batch.D
 ynamicQueryBatchIndexingActionableFactory)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.search.index.IndexStat
 usManager)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.search.indexer.IndexerWriter)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.search.query.QueryHe
 lper)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.portal.search.spi.model.index.contributor.ModelIndexerWriterContri
 butor)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.portal.search.spi.model.query.contributor.ModelPreFilterContribut
 or)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .portal.search.spi.model.registrar.ModelSearchRegistrarHelper)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.se
 arch.spi.model.result.contributor.ModelSummaryContributor)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .spi.model.result.contributor.ModelVisibilityContributor)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portlet.docume
 ntlibrary.store.StoreFactory)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.sharing.security.permission.resource.Shari
 ngModelResourcePermissionConfigurator)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.staging.model.listener.StagingMod
 elListener)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.subscription.service.SubscriptionLocalService)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.trash.TrashHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 trash.service.TrashEntryLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.trash.service.TrashVersionLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.view.count.service.ViewCountEntryLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=javax.sql.DataSource)";effective:=
 active,osgi.service;filter:="(objectClass=org.osgi.service.cm.Configu
 rationAdmin)";effective:=active,osgi.extender;filter:="(&(osgi.extend
 er=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract
 ;osgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(ver
 sion=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.document.library.internal.asse
 t.auto.tagger.text.extractor.FileEntryTextExtractor.xml,OSGI-INF/com.
 liferay.document.library.internal.asset.categories.validator.External
 RepositoryAssetEntryValidatorExclusionRule.xml,OSGI-INF/com.liferay.d
 ocument.library.internal.bulk.selection.FileEntryBulkSelectionFactory
 .xml,OSGI-INF/com.liferay.document.library.internal.bulk.selection.Fi
 leShortcutBulkSelectionFactory.xml,OSGI-INF/com.liferay.document.libr
 ary.internal.bulk.selection.FolderBulkSelectionFactory.xml,OSGI-INF/c
 om.liferay.document.library.internal.bulk.selection.RepositoryModelBu
 lkSelectionFactory.xml,OSGI-INF/com.liferay.document.library.internal
 .bulk.selection.action.EditCategoriesBulkSelectionActionImpl.xml,OSGI
 -INF/com.liferay.document.library.internal.bulk.selection.action.Edit
 TagsBulkSelectionActionImpl.xml,OSGI-INF/com.liferay.document.library
 .internal.change.tracking.spi.reference.DLFileEntryMetadataTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.document.library.internal.cha
 nge.tracking.spi.reference.DLFileEntryTableReferenceDefinition.xml,OS
 GI-INF/com.liferay.document.library.internal.change.tracking.spi.refe
 rence.DLFileEntryTypeTableReferenceDefinition.xml,OSGI-INF/com.lifera
 y.document.library.internal.change.tracking.spi.reference.DLFileShort
 cutTableReferenceDefinition.xml,OSGI-INF/com.liferay.document.library
 .internal.change.tracking.spi.reference.DLFileVersionPreviewTableRefe
 renceDefinition.xml,OSGI-INF/com.liferay.document.library.internal.ch
 ange.tracking.spi.reference.DLFileVersionTableReferenceDefinition.xml
 ,OSGI-INF/com.liferay.document.library.internal.change.tracking.spi.r
 eference.DLFolderTableReferenceDefinition.xml,OSGI-INF/com.liferay.do
 cument.library.internal.change.tracking.spi.reference.RepositoryEntry
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.document.library.in
 ternal.change.tracking.spi.reference.RepositoryTableReferenceDefiniti
 on.xml,OSGI-INF/com.liferay.document.library.internal.change.tracking
 .spi.resolver.DLFileEntryFileNameConstraintResolver.xml,OSGI-INF/com.
 liferay.document.library.internal.change.tracking.spi.resolver.DLFile
 EntryTitleConstraintResolver.xml,OSGI-INF/com.liferay.document.librar
 y.internal.change.tracking.spi.resolver.DLFileVersionConstraintResolv
 er.xml,OSGI-INF/com.liferay.document.library.internal.change.tracking
 .spi.resolver.DLFolderNameConstraintResolver.xml,OSGI-INF/com.liferay
 .document.library.internal.change.tracking.spi.resolver.RepositoryCon
 straintResolver.xml,OSGI-INF/com.liferay.document.library.internal.co
 nfiguration.DLSizeLimitConfigurationProviderImpl.xml,OSGI-INF/com.lif
 eray.document.library.internal.configuration.admin.service.DLSizeLimi
 tManagedServiceFactory.xml,OSGI-INF/com.liferay.document.library.inte
 rnal.configuration.persistence.listener.DLSizeLimitConfigurationModel
 Listener.xml,OSGI-INF/com.liferay.document.library.internal.convert.d
 ocument.library.DLFileVersionDLStoreConvertProcess.xml,OSGI-INF/com.l
 iferay.document.library.internal.convert.document.library.DLPreviewab
 leProcessorDLStoreConvertProcess.xml,OSGI-INF/com.liferay.document.li
 brary.internal.convert.document.library.ImageDLStoreConvertProcess.xm
 l,OSGI-INF/com.liferay.document.library.internal.display.context.Defa
 ultDLMimeTypeDisplayContext.xml,OSGI-INF/com.liferay.document.library
 .internal.dynamic.data.mapping.util.DLFileEntryMetadataDDMStructurePe
 rmissionSupport.xml,OSGI-INF/com.liferay.document.library.internal.dy
 namic.data.mapping.util.DLFileEntryMetadataDDMTemplatePermissionSuppo
 rt.xml,OSGI-INF/com.liferay.document.library.internal.dynamic.data.ma
 pping.util.RawMetadataProcessorDDMStructurePermissionSupport.xml,OSGI
 -INF/com.liferay.document.library.internal.expando.util.DLFileEntryEx
 pandoValueDeleteHandler.xml,OSGI-INF/com.liferay.document.library.int
 ernal.exportimport.data.handler.DLFileEntryTypeStagedModelDataHandler
 .xml,OSGI-INF/com.liferay.document.library.internal.exportimport.data
 .handler.DLProcessorPluggableContentDataHandler.xml,OSGI-INF/com.life
 ray.document.library.internal.exportimport.data.handler.FileEntryStag
 edModelDataHandler.xml,OSGI-INF/com.liferay.document.library.internal
 .exportimport.data.handler.FileShortcutStagedModelDataHandler.xml,OSG
 I-INF/com.liferay.document.library.internal.exportimport.data.handler
 .FolderStagedModelDataHandler.xml,OSGI-INF/com.liferay.document.libra
 ry.internal.exportimport.data.handler.RepositoryEntryStagedModelDataH
 andler.xml,OSGI-INF/com.liferay.document.library.internal.exportimpor
 t.data.handler.RepositoryStagedModelDataHandler.xml,OSGI-INF/com.life
 ray.document.library.internal.exportimport.staged.model.repository.DL
 FileEntryTypeStagedModelRepository.xml,OSGI-INF/com.liferay.document.
 library.internal.exportimport.staged.model.repository.FileEntryStaged
 ModelRepository.xml,OSGI-INF/com.liferay.document.library.internal.ex
 portimport.staged.model.repository.FileShortcutStagedModelRepository.
 xml,OSGI-INF/com.liferay.document.library.internal.exportimport.stage
 d.model.repository.FolderStagedModelRepository.xml,OSGI-INF/com.lifer
 ay.document.library.internal.exportimport.staged.model.repository.Rep
 ositoryEntryStagedModelRepository.xml,OSGI-INF/com.liferay.document.l
 ibrary.internal.exportimport.staged.model.repository.RepositoryStaged
 ModelRepository.xml,OSGI-INF/com.liferay.document.library.internal.fr
 iendly.url.resolver.FileEntryFriendlyURLResolverImpl.xml,OSGI-INF/com
 .liferay.document.library.internal.helper.DLAssetHelperImpl.xml,OSGI-
 INF/com.liferay.document.library.internal.helper.DLExportableReposito
 ryPublisherHelper.xml,OSGI-INF/com.liferay.document.library.internal.
 helper.DLURLHelperImpl.xml,OSGI-INF/com.liferay.document.library.inte
 rnal.instance.lifecycle.AddDefaultDocumentLibraryStructuresPortalInst
 anceLifecycleListener.xml,OSGI-INF/com.liferay.document.library.inter
 nal.lock.DLFileEntryLockListener.xml,OSGI-INF/com.liferay.document.li
 brary.internal.model.listener.CompanyModelListener.xml,OSGI-INF/com.l
 iferay.document.library.internal.model.listener.DDMStructureModelList
 ener.xml,OSGI-INF/com.liferay.document.library.internal.model.listene
 r.DLAppDLFileEntryModelListener.xml,OSGI-INF/com.liferay.document.lib
 rary.internal.model.listener.DLAppDLFolderModelListener.xml,OSGI-INF/
 com.liferay.document.library.internal.model.listener.DLFileEntryStagi
 ngModelListener.xml,OSGI-INF/com.liferay.document.library.internal.mo
 del.listener.DLFileEntryTypeStagingModelListener.xml,OSGI-INF/com.lif
 eray.document.library.internal.model.listener.DLFileShortcutStagingMo
 delListener.xml,OSGI-INF/com.liferay.document.library.internal.model.
 listener.DLFileVersionModelListener.xml,OSGI-INF/com.liferay.document
 .library.internal.model.listener.DLFileVersionStagingModelListener.xm
 l,OSGI-INF/com.liferay.document.library.internal.model.listener.DLFol
 derStagingModelListener.xml,OSGI-INF/com.liferay.document.library.int
 ernal.model.listener.DLStorageQuotaDLFileVersionModelListener.xml,OSG
 I-INF/com.liferay.document.library.internal.model.listener.Repository
 EntryStagingModelListener.xml,OSGI-INF/com.liferay.document.library.i
 nternal.model.listener.RepositoryStagingModelListener.xml,OSGI-INF/co
 m.liferay.document.library.internal.osgi.commands.DLStorageQuotaOSGiC
 ommands.xml,OSGI-INF/com.liferay.document.library.internal.repository
 .capabilities.LiferayVersioningCapability.xml,OSGI-INF/com.liferay.do
 cument.library.internal.repository.capabilities.PortalCapabilityLocat
 orImpl.xml,OSGI-INF/com.liferay.document.library.internal.repository.
 event.FileVersionPreviewEventListenerImpl.xml,OSGI-INF/com.liferay.do
 cument.library.internal.search.DLFileEntryExpandoBridgeRetriever.xml,
 OSGI-INF/com.liferay.document.library.internal.search.DLFileEntryMeta
 dataDDMStructureIndexer.xml,OSGI-INF/com.liferay.document.library.int
 ernal.search.DLFileEntryModelSearchContextContributor.xml,OSGI-INF/co
 m.liferay.document.library.internal.search.DLFileEntryRelatedEntryInd
 exer.xml,OSGI-INF/com.liferay.document.library.internal.search.DLFile
 EntrySearchRegistrar.xml,OSGI-INF/com.liferay.document.library.intern
 al.search.DLFileEntrySearchResultContributor.xml,OSGI-INF/com.liferay
 .document.library.internal.search.DLFileEntryTypeSearchRegistrar.xml,
 OSGI-INF/com.liferay.document.library.internal.search.DLFolderSearchR
 egistrar.xml,OSGI-INF/com.liferay.document.library.internal.search.DL
 OpenSearchImpl.xml,OSGI-INF/com.liferay.document.library.internal.sea
 rch.spi.model.index.contributor.DLFileEntryModelDocumentContributor.x
 ml,OSGI-INF/com.liferay.document.library.internal.search.spi.model.in
 dex.contributor.DLFileEntryModelIndexerWriterContributor.xml,OSGI-INF
 /com.liferay.document.library.internal.search.spi.model.index.contrib
 utor.DLFileEntryRelatedEntryModelDocumentContributor.xml,OSGI-INF/com
 .liferay.document.library.internal.search.spi.model.index.contributor
 .DLFileEntryTypeModelDocumentContributor.xml,OSGI-INF/com.liferay.doc
 ument.library.internal.search.spi.model.index.contributor.DLFileEntry
 TypeModelIndexerWriterContributor.xml,OSGI-INF/com.liferay.document.l
 ibrary.internal.search.spi.model.index.contributor.DLFolderModelDocum
 entContributor.xml,OSGI-INF/com.liferay.document.library.internal.sea
 rch.spi.model.index.contributor.DLFolderModelIndexerWriterContributor
 .xml,OSGI-INF/com.liferay.document.library.internal.search.spi.model.
 query.contributor.DLFileEntryKeywordQueryContributor.xml,OSGI-INF/com
 .liferay.document.library.internal.search.spi.model.query.contributor
 .DLFileEntryModelPreFilterContributor.xml,OSGI-INF/com.liferay.docume
 nt.library.internal.search.spi.model.query.contributor.DLFileEntryTyp
 eKeywordQueryContributor.xml,OSGI-INF/com.liferay.document.library.in
 ternal.search.spi.model.query.contributor.DLFolderModelPreFilterContr
 ibutor.xml,OSGI-INF/com.liferay.document.library.internal.search.spi.
 model.result.contributor.DLFileEntryModelSummaryContributor.xml,OSGI-
 INF/com.liferay.document.library.internal.search.spi.model.result.con
 tributor.DLFileEntryModelVisibilityContributor.xml,OSGI-INF/com.lifer
 ay.document.library.internal.search.spi.model.result.contributor.DLFo
 lderModelSummaryContributor.xml,OSGI-INF/com.liferay.document.library
 .internal.security.io.InputStreamSanitizerImpl.xml,OSGI-INF/com.lifer
 ay.document.library.internal.security.permission.DLFileEntryPermissio
 nUpdateHandler.xml,OSGI-INF/com.liferay.document.library.internal.sec
 urity.permission.DLFileEntryTypePermissionUpdateHandler.xml,OSGI-INF/
 com.liferay.document.library.internal.security.permission.DLFolderPer
 missionUpdateHandler.xml,OSGI-INF/com.liferay.document.library.intern
 al.security.permission.resource.DLFileEntryModelResourcePermissionWra
 pper.xml,OSGI-INF/com.liferay.document.library.internal.security.perm
 ission.resource.DLFileEntryTypeModelResourcePermissionWrapper.xml,OSG
 I-INF/com.liferay.document.library.internal.security.permission.resou
 rce.DLFileShortcutModelResourcePermissionWrapper.xml,OSGI-INF/com.lif
 eray.document.library.internal.security.permission.resource.DLFolderM
 odelResourcePermissionWrapper.xml,OSGI-INF/com.liferay.document.libra
 ry.internal.security.permission.resource.DLPortletResourcePermissionW
 rapper.xml,OSGI-INF/com.liferay.document.library.internal.security.pe
 rmission.resource.FileEntryModelResourcePermissionWrapper.xml,OSGI-IN
 F/com.liferay.document.library.internal.security.permission.resource.
 FileShortcutModelResourcePermissionWrapper.xml,OSGI-INF/com.liferay.d
 ocument.library.internal.security.permission.resource.FolderModelReso
 urcePermissionWrapper.xml,OSGI-INF/com.liferay.document.library.inter
 nal.service.DataEngineDLFileEntryTypeLocalServiceWrapper.xml,OSGI-INF
 /com.liferay.document.library.internal.service.DepotDLFileEntryTypeLo
 calServiceWrapper.xml,OSGI-INF/com.liferay.document.library.internal.
 service.ExternalRepositoryDLAppHelperLocalServiceWrapper.xml,OSGI-INF
 /com.liferay.document.library.internal.service.FriendlyURLDLFileEntry
 LocalServiceWrapper.xml,OSGI-INF/com.liferay.document.library.interna
 l.service.SubscriptionDLAppHelperLocalServiceWrapper.xml,OSGI-INF/com
 .liferay.document.library.internal.service.SubscriptionDLAppLocalServ
 iceWrapper.xml,OSGI-INF/com.liferay.document.library.internal.setting
 s.definition.DLConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.
 document.library.internal.settings.definition.DLFileEntryConfiguratio
 nBeanDeclaration.xml,OSGI-INF/com.liferay.document.library.internal.s
 ettings.definition.DLSizeLimitConfigurationBeanDeclaration.xml,OSGI-I
 NF/com.liferay.document.library.internal.trash.DLFileEntryTrashHandle
 r.xml,OSGI-INF/com.liferay.document.library.internal.trash.DLFileShor
 tcutTrashHandler.xml,OSGI-INF/com.liferay.document.library.internal.t
 rash.DLFolderTrashHandler.xml,OSGI-INF/com.liferay.document.library.i
 nternal.upgrade.registry.DLServiceUpgradeStepRegistrator.xml,OSGI-INF
 /com.liferay.document.library.internal.util.DLProcessorRegistryImpl.x
 ml,OSGI-INF/com.liferay.document.library.internal.util.DLValidatorImp
 l.xml,OSGI-INF/com.liferay.document.library.internal.verify.DLService
 VerifyProcess.xml,OSGI-INF/com.liferay.document.library.internal.vers
 ioning.ContentVersioningPolicy.xml,OSGI-INF/com.liferay.document.libr
 ary.internal.versioning.MetadataVersioningPolicy.xml,OSGI-INF/com.lif
 eray.document.library.internal.versioning.VersionPurgerImpl.xml,OSGI-
 INF/com.liferay.document.library.internal.versioning.VersioningPolicy
 VersioningStrategy.xml,OSGI-INF/com.liferay.document.library.internal
 .workflow.DLFileEntryWorkflowHandler.xml,OSGI-INF/com.liferay.documen
 t.library.internal.xstream.configurator.DocumentLibraryXStreamConfigu
 rator.xml,OSGI-INF/com.liferay.document.library.service.impl.DLFileVe
 rsionPreviewLocalServiceImpl.xml,OSGI-INF/com.liferay.document.librar
 y.service.impl.DLStorageQuotaLocalServiceImpl.xml,OSGI-INF/com.lifera
 y.document.library.service.persistence.impl.DLFileVersionPreviewModel
 ArgumentsResolver.xml,OSGI-INF/com.liferay.document.library.service.p
 ersistence.impl.DLFileVersionPreviewPersistenceImpl.xml,OSGI-INF/com.
 liferay.document.library.service.persistence.impl.DLStorageQuotaModel
 ArgumentsResolver.xml,OSGI-INF/com.liferay.document.library.service.p
 ersistence.impl.DLStorageQuotaPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

